<?php

namespace Mnm\EnumType;

/**
 * This class stands for XsltViewType EnumType
 * @subpackage Enumerations
 */
class XsltViewType
{
    /**
     * Constant for value 'Invoice'
     * @return string 'Invoice'
     */
    const VALUE_INVOICE = 'Invoice';
    /**
     * Constant for value 'AproveInvoice'
     * @return string 'AproveInvoice'
     */
    const VALUE_APROVE_INVOICE = 'AproveInvoice';
    /**
     * Constant for value 'CancelInvoice'
     * @return string 'CancelInvoice'
     */
    const VALUE_CANCEL_INVOICE = 'CancelInvoice';
    /**
     * Constant for value 'eArchiveDefaultInvoice'
     * @return string 'eArchiveDefaultInvoice'
     */
    const VALUE_E_ARCHIVE_DEFAULT_INVOICE = 'eArchiveDefaultInvoice';
    /**
     * Constant for value 'eArchiveInternetSalesInvoice'
     * @return string 'eArchiveInternetSalesInvoice'
     */
    const VALUE_E_ARCHIVE_INTERNET_SALES_INVOICE = 'eArchiveInternetSalesInvoice';
    /**
     * Constant for value 'EmailBody'
     * @return string 'EmailBody'
     */
    const VALUE_EMAIL_BODY = 'EmailBody';
    /**
     * Constant for value 'Ticket'
     * @return string 'Ticket'
     */
    const VALUE_TICKET = 'Ticket';
    /**
     * Constant for value 'PassengerList'
     * @return string 'PassengerList'
     */
    const VALUE_PASSENGER_LIST = 'PassengerList';
    /**
     * Constant for value 'eDespatch'
     * @return string 'eDespatch'
     */
    const VALUE_E_DESPATCH = 'eDespatch';
    /**
     * Constant for value 'eReceiptAdvice'
     * @return string 'eReceiptAdvice'
     */
    const VALUE_E_RECEIPT_ADVICE = 'eReceiptAdvice';
    /**
     * Constant for value 'Voucher'
     * @return string 'Voucher'
     */
    const VALUE_VOUCHER = 'Voucher';
    /**
     * Constant for value 'CancelEmailBody'
     * @return string 'CancelEmailBody'
     */
    const VALUE_CANCEL_EMAIL_BODY = 'CancelEmailBody';
    /**
     * Constant for value 'XmlToUblTransformator'
     * @return string 'XmlToUblTransformator'
     */
    const VALUE_XML_TO_UBL_TRANSFORMATOR = 'XmlToUblTransformator';
    /**
     * Constant for value 'VoucherEmailBody'
     * @return string 'VoucherEmailBody'
     */
    const VALUE_VOUCHER_EMAIL_BODY = 'VoucherEmailBody';
    /**
     * Constant for value 'VoucherCancelEmailBody'
     * @return string 'VoucherCancelEmailBody'
     */
    const VALUE_VOUCHER_CANCEL_EMAIL_BODY = 'VoucherCancelEmailBody';
    /**
     * Constant for value 'ProducerReceipt'
     * @return string 'ProducerReceipt'
     */
    const VALUE_PRODUCER_RECEIPT = 'ProducerReceipt';
    /**
     * Constant for value 'InboxInvoiceEmailBody'
     * @return string 'InboxInvoiceEmailBody'
     */
    const VALUE_INBOX_INVOICE_EMAIL_BODY = 'InboxInvoiceEmailBody';
    /**
     * Constant for value 'SmsBody'
     * @return string 'SmsBody'
     */
    const VALUE_SMS_BODY = 'SmsBody';
    /**
     * Constant for value 'ProducerReceiptEmailBody'
     * @return string 'ProducerReceiptEmailBody'
     */
    const VALUE_PRODUCER_RECEIPT_EMAIL_BODY = 'ProducerReceiptEmailBody';
    /**
     * Constant for value 'ProducerReceiptCancelEmailBody'
     * @return string 'ProducerReceiptCancelEmailBody'
     */
    const VALUE_PRODUCER_RECEIPT_CANCEL_EMAIL_BODY = 'ProducerReceiptCancelEmailBody';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_INVOICE
     * @uses self::VALUE_APROVE_INVOICE
     * @uses self::VALUE_CANCEL_INVOICE
     * @uses self::VALUE_E_ARCHIVE_DEFAULT_INVOICE
     * @uses self::VALUE_E_ARCHIVE_INTERNET_SALES_INVOICE
     * @uses self::VALUE_EMAIL_BODY
     * @uses self::VALUE_TICKET
     * @uses self::VALUE_PASSENGER_LIST
     * @uses self::VALUE_E_DESPATCH
     * @uses self::VALUE_E_RECEIPT_ADVICE
     * @uses self::VALUE_VOUCHER
     * @uses self::VALUE_CANCEL_EMAIL_BODY
     * @uses self::VALUE_XML_TO_UBL_TRANSFORMATOR
     * @uses self::VALUE_VOUCHER_EMAIL_BODY
     * @uses self::VALUE_VOUCHER_CANCEL_EMAIL_BODY
     * @uses self::VALUE_PRODUCER_RECEIPT
     * @uses self::VALUE_INBOX_INVOICE_EMAIL_BODY
     * @uses self::VALUE_SMS_BODY
     * @uses self::VALUE_PRODUCER_RECEIPT_EMAIL_BODY
     * @uses self::VALUE_PRODUCER_RECEIPT_CANCEL_EMAIL_BODY
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_INVOICE,
            self::VALUE_APROVE_INVOICE,
            self::VALUE_CANCEL_INVOICE,
            self::VALUE_E_ARCHIVE_DEFAULT_INVOICE,
            self::VALUE_E_ARCHIVE_INTERNET_SALES_INVOICE,
            self::VALUE_EMAIL_BODY,
            self::VALUE_TICKET,
            self::VALUE_PASSENGER_LIST,
            self::VALUE_E_DESPATCH,
            self::VALUE_E_RECEIPT_ADVICE,
            self::VALUE_VOUCHER,
            self::VALUE_CANCEL_EMAIL_BODY,
            self::VALUE_XML_TO_UBL_TRANSFORMATOR,
            self::VALUE_VOUCHER_EMAIL_BODY,
            self::VALUE_VOUCHER_CANCEL_EMAIL_BODY,
            self::VALUE_PRODUCER_RECEIPT,
            self::VALUE_INBOX_INVOICE_EMAIL_BODY,
            self::VALUE_SMS_BODY,
            self::VALUE_PRODUCER_RECEIPT_EMAIL_BODY,
            self::VALUE_PRODUCER_RECEIPT_CANCEL_EMAIL_BODY,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
