<?php

namespace Mnm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CanonicalizationMethodType StructType
 * Meta information extracted from the WSDL
 * - mixed: true
 * @subpackage Structs
 */
class CanonicalizationMethodType extends TextType
{
    /**
     * The any
     * @var \DOMDocument
     */
    public $any;
    /**
     * The Algorithm
     * @var string
     */
    public $Algorithm;
    /**
     * The _
     * @var \Mnm\StructType\TextType
     */
    public $_;
    /**
     * Constructor method for CanonicalizationMethodType
     * @uses CanonicalizationMethodType::setAny()
     * @uses CanonicalizationMethodType::setAlgorithm()
     * @uses CanonicalizationMethodType::set_()
     * @param \DOMDocument $any
     * @param string $algorithm
     * @param \Mnm\StructType\TextType $_
     */
    public function __construct(\DOMDocument $any = null, $algorithm = null, \Mnm\StructType\TextType $_ = null)
    {
        $this
            ->setAny($any)
            ->setAlgorithm($algorithm)
            ->set_($_);
    }
    /**
     * Get any value
     * @uses \DOMDocument::loadXML()
     * @param bool $asString true: returns XML string, false: returns \DOMDocument
     * @return \DOMDocument|null
     */
    public function getAny($asString = true)
    {
        $domDocument = null;
        if (!empty($this->any) && !$asString) {
            $domDocument = new \DOMDocument('1.0', 'UTF-8');
            $domDocument->loadXML($this->any);
        }
        return $asString ? $this->any : $domDocument;
    }
    /**
     * Set any value
     * @uses \DOMDocument::hasChildNodes()
     * @uses \DOMDocument::saveXML()
     * @uses \DOMNode::item()
     * @param \DOMDocument $any
     * @return \Mnm\StructType\CanonicalizationMethodType
     */
    public function setAny(\DOMDocument $any = null)
    {
        $this->any = ($any instanceof \DOMDocument) && $any->hasChildNodes() ? $any->saveXML($any->childNodes->item(0)) : $any;
        return $this;
    }
    /**
     * Get Algorithm value
     * @return string|null
     */
    public function getAlgorithm()
    {
        return $this->Algorithm;
    }
    /**
     * Set Algorithm value
     * @param string $algorithm
     * @return \Mnm\StructType\CanonicalizationMethodType
     */
    public function setAlgorithm($algorithm = null)
    {
        $this->Algorithm = $algorithm;
        return $this;
    }
    /**
     * Get _ value
     * @return \Mnm\StructType\TextType|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param \Mnm\StructType\TextType $_
     * @return \Mnm\StructType\CanonicalizationMethodType
     */
    public function set_(\Mnm\StructType\TextType $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\StructType\CanonicalizationMethodType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
