<?php

namespace Mnm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FinancialAccountType StructType
 * @subpackage Structs
 */
class FinancialAccountType extends AbstractStructBase
{
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q67:ID
     * @var \Mnm\StructType\IDType
     */
    public $ID;
    /**
     * The CurrencyCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q68:CurrencyCode
     * @var \Mnm\StructType\CurrencyCodeType
     */
    public $CurrencyCode;
    /**
     * The PaymentNote
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q69:PaymentNote
     * @var \Mnm\StructType\PaymentNoteType
     */
    public $PaymentNote;
    /**
     * The FinancialInstitutionBranch
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\StructType\BranchType
     */
    public $FinancialInstitutionBranch;
    /**
     * Constructor method for FinancialAccountType
     * @uses FinancialAccountType::setID()
     * @uses FinancialAccountType::setCurrencyCode()
     * @uses FinancialAccountType::setPaymentNote()
     * @uses FinancialAccountType::setFinancialInstitutionBranch()
     * @param \Mnm\StructType\IDType $iD
     * @param \Mnm\StructType\CurrencyCodeType $currencyCode
     * @param \Mnm\StructType\PaymentNoteType $paymentNote
     * @param \Mnm\StructType\BranchType $financialInstitutionBranch
     */
    public function __construct(\Mnm\StructType\IDType $iD = null, \Mnm\StructType\CurrencyCodeType $currencyCode = null, \Mnm\StructType\PaymentNoteType $paymentNote = null, \Mnm\StructType\BranchType $financialInstitutionBranch = null)
    {
        $this
            ->setID($iD)
            ->setCurrencyCode($currencyCode)
            ->setPaymentNote($paymentNote)
            ->setFinancialInstitutionBranch($financialInstitutionBranch);
    }
    /**
     * Get ID value
     * @return \Mnm\StructType\IDType|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param \Mnm\StructType\IDType $iD
     * @return \Mnm\StructType\FinancialAccountType
     */
    public function setID(\Mnm\StructType\IDType $iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get CurrencyCode value
     * @return \Mnm\StructType\CurrencyCodeType|null
     */
    public function getCurrencyCode()
    {
        return $this->CurrencyCode;
    }
    /**
     * Set CurrencyCode value
     * @param \Mnm\StructType\CurrencyCodeType $currencyCode
     * @return \Mnm\StructType\FinancialAccountType
     */
    public function setCurrencyCode(\Mnm\StructType\CurrencyCodeType $currencyCode = null)
    {
        $this->CurrencyCode = $currencyCode;
        return $this;
    }
    /**
     * Get PaymentNote value
     * @return \Mnm\StructType\PaymentNoteType|null
     */
    public function getPaymentNote()
    {
        return $this->PaymentNote;
    }
    /**
     * Set PaymentNote value
     * @param \Mnm\StructType\PaymentNoteType $paymentNote
     * @return \Mnm\StructType\FinancialAccountType
     */
    public function setPaymentNote(\Mnm\StructType\PaymentNoteType $paymentNote = null)
    {
        $this->PaymentNote = $paymentNote;
        return $this;
    }
    /**
     * Get FinancialInstitutionBranch value
     * @return \Mnm\StructType\BranchType|null
     */
    public function getFinancialInstitutionBranch()
    {
        return $this->FinancialInstitutionBranch;
    }
    /**
     * Set FinancialInstitutionBranch value
     * @param \Mnm\StructType\BranchType $financialInstitutionBranch
     * @return \Mnm\StructType\FinancialAccountType
     */
    public function setFinancialInstitutionBranch(\Mnm\StructType\BranchType $financialInstitutionBranch = null)
    {
        $this->FinancialInstitutionBranch = $financialInstitutionBranch;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\StructType\FinancialAccountType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
