<?php

namespace Mnm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Response StructType
 * @subpackage Structs
 */
class Response extends AbstractStructBase
{
    /**
     * The IsSucceded
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $IsSucceded;
    /**
     * The Message
     * @var string
     */
    public $Message;
    /**
     * Constructor method for Response
     * @uses Response::setIsSucceded()
     * @uses Response::setMessage()
     * @param bool $isSucceded
     * @param string $message
     */
    public function __construct($isSucceded = null, $message = null)
    {
        $this
            ->setIsSucceded($isSucceded)
            ->setMessage($message);
    }
    /**
     * Get IsSucceded value
     * @return bool
     */
    public function getIsSucceded()
    {
        return $this->IsSucceded;
    }
    /**
     * Set IsSucceded value
     * @param bool $isSucceded
     * @return \Mnm\StructType\Response
     */
    public function setIsSucceded($isSucceded = null)
    {
        $this->IsSucceded = $isSucceded;
        return $this;
    }
    /**
     * Get Message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->Message;
    }
    /**
     * Set Message value
     * @param string $message
     * @return \Mnm\StructType\Response
     */
    public function setMessage($message = null)
    {
        $this->Message = $message;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\StructType\Response
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
