<?php

namespace Mnm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SupplierPartyType StructType
 * @subpackage Structs
 */
class SupplierPartyType extends AbstractStructBase
{
    /**
     * The Party
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\StructType\PartyType
     */
    public $Party;
    /**
     * The DespatchContact
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\StructType\ContactType
     */
    public $DespatchContact;
    /**
     * Constructor method for SupplierPartyType
     * @uses SupplierPartyType::setParty()
     * @uses SupplierPartyType::setDespatchContact()
     * @param \Mnm\StructType\PartyType $party
     * @param \Mnm\StructType\ContactType $despatchContact
     */
    public function __construct(\Mnm\StructType\PartyType $party = null, \Mnm\StructType\ContactType $despatchContact = null)
    {
        $this
            ->setParty($party)
            ->setDespatchContact($despatchContact);
    }
    /**
     * Get Party value
     * @return \Mnm\StructType\PartyType|null
     */
    public function getParty()
    {
        return $this->Party;
    }
    /**
     * Set Party value
     * @param \Mnm\StructType\PartyType $party
     * @return \Mnm\StructType\SupplierPartyType
     */
    public function setParty(\Mnm\StructType\PartyType $party = null)
    {
        $this->Party = $party;
        return $this;
    }
    /**
     * Get DespatchContact value
     * @return \Mnm\StructType\ContactType|null
     */
    public function getDespatchContact()
    {
        return $this->DespatchContact;
    }
    /**
     * Set DespatchContact value
     * @param \Mnm\StructType\ContactType $despatchContact
     * @return \Mnm\StructType\SupplierPartyType
     */
    public function setDespatchContact(\Mnm\StructType\ContactType $despatchContact = null)
    {
        $this->DespatchContact = $despatchContact;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\StructType\SupplierPartyType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
