<?php

namespace Mnm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ValidateInvoice StructType
 * @subpackage Structs
 */
class ValidateInvoice extends AbstractStructBase
{
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\StructType\UserInformation
     */
    public $userInfo;
    /**
     * The invoice
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\StructType\InvoiceType
     */
    public $invoice;
    /**
     * Constructor method for ValidateInvoice
     * @uses ValidateInvoice::setUserInfo()
     * @uses ValidateInvoice::setInvoice()
     * @param \Mnm\StructType\UserInformation $userInfo
     * @param \Mnm\StructType\InvoiceType $invoice
     */
    public function __construct(\Mnm\StructType\UserInformation $userInfo = null, \Mnm\StructType\InvoiceType $invoice = null)
    {
        $this
            ->setUserInfo($userInfo)
            ->setInvoice($invoice);
    }
    /**
     * Get userInfo value
     * @return \Mnm\StructType\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Mnm\StructType\UserInformation $userInfo
     * @return \Mnm\StructType\ValidateInvoice
     */
    public function setUserInfo(\Mnm\StructType\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
    /**
     * Get invoice value
     * @return \Mnm\StructType\InvoiceType|null
     */
    public function getInvoice()
    {
        return $this->invoice;
    }
    /**
     * Set invoice value
     * @param \Mnm\StructType\InvoiceType $invoice
     * @return \Mnm\StructType\ValidateInvoice
     */
    public function setInvoice(\Mnm\StructType\InvoiceType $invoice = null)
    {
        $this->invoice = $invoice;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\StructType\ValidateInvoice
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
